local newLab = table.deepcopy( data.raw.lab[ "lab" ])
newLab.name = "productive-lab"
newLab.minable.result = "productive-lab"
newLab.researching_speed = 3
newLab.base_productivity = 0.1

local newLabItem = table.deepcopy( data.raw.item[ "lab" ])
newLabItem.name = "productive-lab"
newLabItem.place_result = "productive-lab"

local newDrill = table.deepcopy( data.raw[ "mining-drill" ][ "electric-mining-drill" ])
newDrill.name = "productive-drill"
newDrill.minable.result = "productive-drill"
newDrill.base_productivity = 0.6

local newDrillItem = table.deepcopy( data.raw.item[ "electric-mining-drill" ])
newDrillItem.name = "productive-drill"
newDrillItem.place_result = "productive-drill"

data:extend({
{
    type = "technology",
    name = "test-lab-productivity",
    icon = "__core__/graphics/questionmark.png",
    icon_size = 64,
    unit =
    {
        count = 1,
        time = 1,
        ingredients =
        {
            { name = "automation-science-pack", amount = 1 }
        }
    },
    effects =
    {
        { type = "laboratory-productivity", modifier = 0.5 }
    }
},
{
    type = "technology",
    name = "test-mining-productivity",
    icon = "__core__/graphics/questionmark.png",
    icon_size = 64,
    unit =
    {
        count = 1,
        time = 1,
        ingredients =
        {
            { name = "automation-science-pack", amount = 1 }
        }
    },
    effects =
    {
        { type = "mining-drill-productivity-bonus", modifier = 0.2 }
    }
},
newLab,
newLabItem,
{
    type = "recipe",
    name = "productive-lab",
    energy_required = 0.5,
    ingredients =
    {
      {"iron-plate", 1 },
    },
    result = "productive-lab"
},
newDrill,
newDrillItem,
{
    type = "recipe",
    name = "productive-drill",
    energy_required = 0.5,
    ingredients =
    {
      { "iron-plate", 1 },
    },
    result = "productive-drill"
}
})